@charset "utf-8";


/* ---------------------------------------------------------------------------------------------

    モジュール

--------------------------------------------------------------------------------------------- */

/* -----------------------------------
 * 
 * 読み上げ対応
 *
-----------------------------------*/
.mg_sronly {
    position: absolute !important;
    width: 1px !important;
    height: 1px !important;
    padding: 0 !important;
    margin: -1px !important;
    overflow: hidden !important;
    clip: rect(0, 0, 0, 0) !important;
    white-space: nowrap !important;
    border: 0 !important;
}

/* -----------------------------------
 * 
 * ボタン MORE
 *
-----------------------------------*/

/*
 * 背景を設定
 * グラデーション自体はアニメーションでfadeinできないので
 * beforeをopacityで制御
 */
.btn_more_bg {
    position: relative;
    width: 90px;
    aspect-ratio: 1/1;
    margin: 0 auto;
    cursor: pointer;
    
}
    .btn_more_bg::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        background-size: cover;

        background: url("../img/bt_yellow.gif") no-repeat;
        z-index: 1;
        opacity: 0;
        transition: all .3s;/*アニメーションの指定*/
        transition-delay: .7s;/*0.7秒遅れてアニメーション*/
    }

.btn_more_bg:hover::before {
    opacity: 1;
    transition: all .3s;/*アニメーションの指定*/
    transition-delay: .7s;/*0.7秒遅れてアニメーション*/
}

.btn_more_bg:hover a {
    color: #fff;
}


.btn_more {
    position: relative;/*線の基点とするためrelativeを指定*/
    display: inline-block;/*ボタンの形状*/

    width: 90px;
    height: 100%;
    
    aspect-ratio: 1/1;

    margin: 0 auto;
    padding: 10px 20px;

    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
    outline: none;

    border: 2px solid transparent;
    border-image: url("../img/bt_yellow.gif");
    border-image-slice: 1;
    border-image-repeat: stretch;

    background: transparent;
    
    
    transition: all .3s;/*アニメーションの指定*/
    transition-delay: .7s;/*0.7秒遅れてアニメーション*/

    z-index: 5;
    
}

.btn_more a {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
}
    .btn_more a:hover {
        opacity: 1 !important;
    }


/*線の設定*/
/*.btn_more span {
    display: block;
}*/

/*横線の設定*/
.btn_more::before,
.btn_more::after {
    content: "";
    /*絶対配置で線の位置を決める*/
    position: absolute;
    /*線の形状*/
    width: 0;
    height: 2px;
    background: #fff;
    /*アニメーションの指定*/
    transition: all 0.2s linear;
}

/*縦線の設定*/
.btn_more span::before,
.btn_more span::after {
    content: "";
    /*絶対配置で線の位置を決める*/
    position: absolute;
    /*線の形状*/
    width: 2px;
    height: 0;
    background: #fff;
    /*アニメーションの指定*/
    transition: all 0.2s linear;
}

/*hoverした際、線が縦横100%伸びる*/
.btn_more:hover::before,
.btn_more:hover::after {
    width: calc(100% + 4px);
}

.btn_more:hover span::before,
.btn_more:hover span::after {
    height: calc(100% + 4px);
}

/*== 左下⇒右下⇒右上⇒左上⇒左下に枠線が伸びて塗りに */

/*左下から右下へ伸びる横線*/
.btn_more::after {
    left: -2px;
    bottom: -2px;
}

/*右下から上へ伸びる縦線*/
.btn_more span::after {
    right: -2px;
    bottom: -2px;
    transition-delay: 0.2s;
}

/*右上から左上へ伸びる横線*/
.btn_more::before {
    right: -2px;
    top: -2px;
    transition-delay: 0.4s;
}

/*左上から左下へ伸びる横線*/
.btn_more span::before {
    left: -2px;
    top: -2px;
    transition-delay: 0.6s;
}